- name: contentType
  type: string
  meta:
      label:
          de: Inhaltstyp
          en: Content Type
      widget: select
      choices:
          - name:
                de: Bilder
                en: Images
            id: images

          - name:
                de: Modul Import
                en: Module Import
            id: moduleImport
          - name:
                de: Formular
                en: form
            id: form

          - name:
                de: Text
                en: Text
            id: text
          - name:
                de: Google Maps
                en: Google Maps
            id: googleMaps
- !include ../fields/images.yml

- name: moduleImport
  type: string
  meta:
      label:
          de: Modul Import
          en: Module Import
      dependsOn:
          eval: $parent.contentType == 'moduleImport' || $parent.contentType == 'form'
      widget: foreignKey
      foreign:
          collection: module
          id: id
          subNavigation: 0
          render:
              defaultCollectionViews: true

- !include ../fields/text.yml
